# rpmurl.h File Reference

Go to the source code of this file.

## Data Structures

struct | urlinfo_s
| URL control structure. More...

## Typedefs

typedef enum urltype_e | urltype
| Supported URL types.
typedef struct urlinfo_s * | urlinfo

## Enumerations

enum | urltype_e { URL_IS_UNKNOWN = 0, URL_IS_DASH = 1, URL_IS_PATH = 2, URL_IS_FTP = 3, URL_IS_HTTP = 4, URL_IS_HTTPS = 5, URL_IS_HKP = 6 }
| Supported URL types. More...

## Functions

urlinfo | urlNew (void)
| Create a URL info structure instance.
urlinfo | urlFree (urlinfo u)
| Free a URL info structure instance.
urltype | urlIsURL (const char *url)
| Return type of URL.
urltype | urlPath (const char *url, const char **pathp)
| Return path component of URL.
int | urlSplit (const char *url, urlinfo *uret)
| Parse URL string into a control structure.
int | urlGetFile (const char *url, const char *dest)
| Copy data from URL to local file.

## Variables

int | _url_debug

## Detailed Description

Definition in file rpmurl.h.

## Typedef Documentation

typedef struct urlinfo_s* urlinfo

Definition at line 25 of file rpmurl.h.

## Variable Documentation

int _url_debug

URL debugging?